package com.caliverse.admin.domain.entity;

public enum REPORTTYPE {
    UNMANNERED_ACT("비매너 행위"),
    USE_UNHEALTHY_NAMES("불건전 이름 사용"),
    CASH_TRADING("현금거래 행위"),
    INTERFERENCE_GAME("게임 진행 방해"),
    INTERFERENCE_SERVICE ("운영서비스 방해"),
    ACCOUNT_EXPLOITATION("계정도용"),
    BUG_ABUSING("버그/어뷰징"),
    USE_HACK("불법프로그램 사용"),
    LEAK_PERSONAL_INFO("개인정보 유출"),
    PRETENDING_GM("운영자 사칭"),
    ;
    private String name;
    REPORTTYPE(String name) {
        this.name = name;
    }

    public String getName(){
        return name;
    }
}
